Bug 593948 - Art Pen converts valuator information into wheel events.
Summary: Art Pen converts valuator information into wheel events.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-wacom
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Peter Hutterer
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-20 06:17 UTC by Peter Hutterer
Modified: 2010-11-10 21:57 UTC (History)
3 users (show)

Fixed In Version: xorg-x11-drv-wacom-0.10.5-5.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 21:57:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Peter Hutterer 2010-05-20 06:17:21 UTC
Description of problem:
The behaviour on the Art Pen is broken. The Art Pen reports some valuator information through the ABS_WHEEL event slot. This data is  translated into mouse wheel events, causing unexpected behaviour and cursor jumps.

To quote from Ping Cheng (upstream linuxwacom developer)

"Only absolute wheels on the pad (normally touch rings) can send button
events.  Absolute wheels that are defined for the stylus, such as
airbrush wheel or Art Pen rotation should only report raw data.  It
would be up to the application to translate those data in a way they
like."

Version-Release number of selected component (if applicable):
xorg-x11-drv-wacom-0.15.0-2.el6

How reproducible:
Get an Art Pen (http://www.wacom.com/art_pen/index.cfm) and use it.

Additional info:
Two parts to this issue - one is the default initialization of wheel button events for non-pad devices which was added in 0.10.5. It has been reverted upstream since. The second part is a one-liner do not convert valuator events for non-pad devices into wheel events. That patch is upstream now as well.

Comment 1 RHEL Program Management 2010-05-20 06:35:10 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 11 Peter Hutterer 2010-06-21 04:17:11 UTC
MODIFIED

xorg-x11-drv-wacom-0.10.5-5.el6 is available in brew

Comment 15 releng-rhel@redhat.com 2010-11-10 21:57:05 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.